import request from '@/utils/request'

// 获取数字统计
export function getTotal() {
  return request({
    url: '/index/getdatatotal',
    method: 'get'
  })
}

// 代理组成数据
export function getMemberPeople() {
  return request({
    url: '/index/geteveryagenttotal',
    method: 'get'
  })
}

// 代理业绩数据
export function getMemberPrice() {
  return request({
    url: '/index/geteveryagentresult',
    method: 'get'
  })
}

// 代理订单数据
export function getMemberOrder() {
  return request({
    url: '/index/geteveryagentorder',
    method: 'get'
  })
}

// 代理订单数据
export function getGoodsTen() {
  return request({
    url: '/index/getgoodssalesnum',
    method: 'get'
  })
}

// 下单量环比
export function getStyleNum(params) {
  return request({
    url: '/index/get_goods_style_num',
    method: 'get',
    params
  })
}

// 下单金额环比
export function getOrderAccount(params) {
  return request({
    url: '/index/get_order_account',
    method: 'get',
    params
  })
}

// 获取商品类型
export function goodsType(params) {
  return request({
    url: '/index/get_goods_main_attr',
    method: 'get'
  })
}

// 订单金额每小时统计  折线图
export function getOrderEveryAccount(params) {
  return request({
    url: '/index/get_order_every_account',
    method: 'get',
    params
  })
}

// 订单数量每小时统计   柱状图
export function getGoodsEveryStyleNum(params) {
  return request({
    url: '/index/get_goods_every_style_num',
    method: 'get',
    params
  })
}

export function GetActivityGift(params) {
  return request({
    url: '/Gift/GetActivityGift',
    method: 'get',
    params
  })
}
